pcl::registration::DataContainerInterface Class Referenceabstract
Module registration

DataContainerInterface provides a generic interface for computing correspondence scores between correspondent points in the input and target clouds More...

`#include <pcl/registration/correspondence_rejection.h>`

Inheritance diagram for pcl::registration::DataContainerInterface:

## Public Member Functions

virtual | ~DataContainerInterface ()
virtual double | getCorrespondenceScore (int index)=0
virtual double | getCorrespondenceScore (const pcl::Correspondence &)=0

## Detailed Description

DataContainerInterface provides a generic interface for computing correspondence scores between correspondent points in the input and target clouds

Definition at line 202 of file correspondence_rejection.h.

## Constructor & Destructor Documentation

virtual pcl::registration::DataContainerInterface::~DataContainerInterface | ( |  | ) |

inline virtual

Definition at line 205 of file correspondence_rejection.h.

## Member Function Documentation

virtual double pcl::registration::DataContainerInterface::getCorrespondenceScore | ( | int | index | ) |

pure virtual

Implemented in pcl::registration::DataContainer< PointT, NormalT >.

virtual double pcl::registration::DataContainerInterface::getCorrespondenceScore | ( | const pcl::Correspondence & |  | ) |

pure virtual

Implemented in pcl::registration::DataContainer< PointT, NormalT >.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/correspondence_rejection.h